org.apache.hc.client5.http.impl.routing

## Class DefaultProxyRoutePlanner

- java.lang.Object
- - org.apache.hc.client5.http.impl.routing.DefaultRoutePlanner
  - - org.apache.hc.client5.http.impl.routing.DefaultProxyRoutePlanner

- All Implemented Interfaces:
    HttpRoutePlanner

      @Contract(threading=STATELESS)
      public class DefaultProxyRoutePlanner
      extends DefaultRoutePlanner

  Implementation of an `HttpRoutePlanner` that routes requests through a default proxy.
  Since:
    4.3

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultProxyRoutePlanner(org.apache.hc.core5.http.HttpHost proxy)`
    `DefaultProxyRoutePlanner(org.apache.hc.core5.http.HttpHost proxy, SchemePortResolver schemePortResolver)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected org.apache.hc.core5.http.HttpHost` | `determineProxy(org.apache.hc.core5.http.HttpHost target, org.apache.hc.core5.http.protocol.HttpContext context)` This implementation returns null.

    - ### Methods inherited from class org.apache.hc.client5.http.impl.routing.DefaultRoutePlanner

      `determineLocalAddress, determineRoute, determineRoute`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultProxyRoutePlanner

          public DefaultProxyRoutePlanner(org.apache.hc.core5.http.HttpHost proxy,
                                          SchemePortResolver schemePortResolver)

    - #### DefaultProxyRoutePlanner

          public DefaultProxyRoutePlanner(org.apache.hc.core5.http.HttpHost proxy)

  - ### Method Detail

    - #### determineProxy

          protected org.apache.hc.core5.http.HttpHost determineProxy(org.apache.hc.core5.http.HttpHost target,
                                                                     org.apache.hc.core5.http.protocol.HttpContext context)
                                                              throws org.apache.hc.core5.http.HttpException

      Description copied from class: `DefaultRoutePlanner`
      This implementation returns null.
      Overrides:
        `determineProxy` in class `DefaultRoutePlanner`
      Throws:
        `org.apache.hc.core5.http.HttpException` - may be thrown if overridden

Copyright © 1999–2021 The Apache Software Foundation. All rights reserved.